import 'bootstrap';
export declare class LoadingService {
    loadingId: string;
    progressId: string;
    constructor();
    private get loadingNormal();
    private get loadingSearching();
    private get loadingRalph();
    private get loadingFiveBalls();
    start: (element?: string) => void;
    isLoading: () => boolean;
    stop: () => void;
    max: number;
    startProgress(title: string, current: number, max: number): void;
    updateProgress(current: number): void;
    stopProgress(): void;
}
